Bug 375121 - Irssi isn't build with Perl scripting support
Irssi isn't build with Perl scripting support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: irssi (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 17:34 EST by Will Farrington
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.8.12-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 22:28:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Farrington 2007-11-10 17:34:30 EST
Description of problem:
Irssi doesn't contain support for scripting in Perl

Version-Release number of selected component (if applicable):
0.8.12-1

How reproducible:
Try and run a Perl script from inside irssi
Comment 1 Marek Mahut 2007-11-10 17:43:52 EST
Hello Will,

Irssi in Fedora is compiled to use modular perl support, you need to type "/load
perl" to load this support.

Hmmm, do you think it would be better to ship a package with build-in support?
Comment 2 Will Farrington 2007-11-10 18:17:11 EST
Hey Marek,

First, thank you for responding to this query in a timely matter. It is
definitely a good impression for the Fedora and Red Hat teams to see them stay
on top of issues so quickly.

As far as the package goes, while I personally would prefer built-in support for
Perl, if there is some way that you could set the default configuration for
irssi to automatically load this module, then a package with explicitly built-in
support might be unnecessary. However, if a default configuration that autoloads
the Perl module is not possible, then I do think a package with this support
built-in would be better in the long-term to avoid future confusion like my own. =)

Thanks
Comment 3 Will Farrington 2007-11-10 18:19:31 EST
Note: As an addendum to my previous comment, I do know that Debian's irssi
package (and as a result, the Ubuntu one) have irssi with Perl built-in.
Comment 4 Marek Mahut 2007-11-11 06:09:57 EST
Hello Will,

Thank to you for reporting this issue. Feedback from community is very important
for us and I take it very seriously.

You're right, other vendors provides the build-in support too. I already
re-build it with build-in support for devel branch. I'm going to request updates
for F7 and F8 today.

  http://koji.fedoraproject.org/koji/taskinfo?taskID=234997

Comment 5 Will Farrington 2007-11-11 11:09:11 EST
Good to hear!
Comment 6 Todd Zullinger 2007-11-11 19:18:19 EST
FWIW, you can easily load the perl module at runtime putting "load perl" in
~/.irssi/startup.  I don't know if there's a strong reason to build it in or
leave it as a module, as I'm a relatively new irssi user.

In general, building it as a module provides more flexibility, less resource
usage, and potentially more security.  Those who don't want or need any scripts
don't need to load the additional perl code.  Those who do can just load the
module in their irssi startup file.

Perhaps this could simply be documented in a README.Fedora file something like this:

This package was build with perl support as a module.  If you want to use perl
scripts within irssi, you need to load the perl module before calling /script
load (or /run).  You can load the module in irssi with the command /load perl. 
You can have the module loaded at startup by adding "load perl" to ~/.irssi/startup.
Comment 7 Fedora Update System 2007-11-12 19:05:25 EST
irssi-0.8.12-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update irssi'
Comment 8 Fedora Update System 2007-11-12 19:06:37 EST
irssi-0.8.12-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update irssi'
Comment 9 Todd Zullinger 2007-11-12 20:04:31 EST
irssi-0.8.12-3.fc7 has an EVR higher than irssi-0.8.12-2.fc8.  This will cause
upgrade problems.  It's often best to append a .1 the the release tag when a
rebuild is needed on a branch.  Instead of bumping release to 3%{?dist} for the
F-7 rebuild, it could have been 2%{?dist}.1, which would keep the F8 and devel
branches higher than the F-7 branch.

At this point the only thing that can be done is to bump the release in the F-8
and devel branches. :)
Comment 10 Marek Mahut 2007-11-13 02:15:35 EST
Houps, going to correct that! Sorry!
Comment 11 Fedora Update System 2007-11-14 22:31:50 EST
irssi-0.8.12-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update irssi'
Comment 12 Fedora Update System 2007-11-21 22:28:34 EST
irssi-0.8.12-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2007-11-21 22:38:50 EST
irssi-0.8.12-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.